# Don't run strip-static-archive on tigcc.a
%define __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib/rpm/[^/]*/?brp-strip-static-archive %{__strip}!!g')

Summary: SDK for C and ASM development for the TI-89, the TI-89 Titanium, the TI-92 Plus and the Voyage 200.
Name: tigcc
Epoch: 1
Version: 0.96b08r1
Release: 2
License: GPL
Group: Development/Languages
Packager: Kevin Kofler <Kevin@tigcc.ticalc.org>
Source0: tigcc_src.tar.bz2
Source1: gas-2.16.1.tar.bz2
Source2: gcc-4.1-20060728.tar.bz2
Patch0: tigcc-0.96b08r1-ld-tigcc-fortify-source-fix.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Prefix: /usr/local/tigcc

%description
This is the port of the well-known TIGCC from Win32 to Linux and other *nix platforms (including MacOS X). TIGCC is an SDK for C and ASM development for the TI-89, the TI-89 Titanium, the TI-92 Plus and the Voyage 200. It is a complete product with a compiler, assembler, linker and a very rich set of functions. (An IDE for Linux/Unix is planned.) This TIGCC release is based on GCC 4.1.2 (prerelease) and Binutils 2.16.1. These are Linux binaries for an x86 (386 or higher) CPU.

%package a68k
Summary: A68k Assembler for the TIGCC SDK
Group: Development/Languages
License: Distributable
Requires: %{name} = %{epoch}:%{version}-%{release}

%description a68k
This package includes the legacy A68k assembler which can be used with TIGCC to
compile assembly programs written for it. This assembler uses a slightly
different syntax than the GNU assembler normally used with TIGCC.

%prep
%setup -c -n tigcc
cd sources
%patch0 -p0
%setup -c -n tigcc/download -T -a 1
%setup -c -n tigcc/download -D -T -a 2
ln -s binutils-2.16.1 binutils.ti
ln -s gcc-4.1-20060728 gcc.ti

%build
# TIGCC builds and installs in one step, so everything is done in install.

%install
rm -rf ${RPM_BUILD_ROOT}
# Avoid race condition
mkdir ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/local
cd ../scripts
# Don't remove build here so generated sources can be put into -debuginfo
sed -i -e 's!rm -Rf \.\./build!!g' Install_step_2
export TIGCC=${RPM_BUILD_ROOT}/usr/local/tigcc
export CC=gcc
export CFLAGS="$RPM_OPT_FLAGS"
./Install_All

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
/usr/local/tigcc
%exclude /usr/local/tigcc/bin/a68k
%exclude /usr/local/tigcc/doc/a68k
%exclude /usr/local/tigcc/include/asm

%files a68k
%defattr(-,root,root)
/usr/local/tigcc/bin/a68k
/usr/local/tigcc/doc/a68k
/usr/local/tigcc/include/asm

%post
TIGCC="$RPM_INSTALL_PREFIX" "$RPM_INSTALL_PREFIX"/bin/envreg

%changelog
* Tue Aug 21 2012 Nick Bryda <nick@fuduntu.org> - 0.96b08r1-2
- Built for Fuduntu

* Tue Aug 21 2012 Nick Bryda <nick@fuduntu.org> - 0.96b08r1-2
- Built for Fuduntu

* Sat Mar 31 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.96b08r1-2
Remove "TICT License" from license (code has been relicensed or split out).
Unpack and build sources (with Fedora flags), don't package installed binaries.
Build -debuginfo RPM.
Fix ld-tigcc warning and runtime abort with _FORTIFY_SOURCE.
Don't remove build in Install_step_2 for generated sources in -debuginfo.
Split out non-Free a68k subpackage.

* Tue Oct 31 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.96b08r1-1
Update to 0.96 beta 8 r1.

* Sun Jul 30 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.96b07r1-1
Update to 0.96 beta 7 r1.
Use BuildRoot recommended by Fedora.
Make sure optional components don't accidentally get packaged.

* Sun Oct 2 2005 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.96b06r1-1
Update to 0.96 beta 6 r1.

* Sun Jul 3 2005 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.96 beta 5 r1.
Change Copyright to License.
A bit less hackish buildroot handling.

* Sat Apr 30 2005 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.96 beta 4 r1.

* Thu Mar 24 2005 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.96 beta 3 r1.

* Wed Feb 9 2005 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.96 beta 2 r1.

* Wed Feb 2 2005 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.96 beta 1 r1.

* Sat Nov 13 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 r3.

* Sun Oct 31 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 r2.

* Thu Oct 25 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 r1.

* Thu Oct 16 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 20 r1.
Make RPM relocatable.

* Thu Sep 23 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 19 r1.

* Mon Sep 6 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 17 r1.

* Tue Aug 10 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 16 r1.

* Fri Aug 6 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 15 r1.

* Wed Jul 21 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 13 r1.

* Tue Jun 22 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 11 r1.

* Mon Jun 14 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 10 r2.

* Fri Jun 11 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 10 r1. Increment epoch.

* Tue Apr 27 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 8 r1.

* Thu Apr 15 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 7 r1.

* Sun Mar 14 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 6 r1.

* Sat Jan 31 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
First try at a binary-only RPM.
